<?php
/**
 * DeliveryStatusEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\OmsClient\Dto;
use \Ensi\OmsClient\ObjectSerializer;

/**
 * DeliveryStatusEnum Class Doc Comment
 *
 * @category Class
 * @description Статус отправления. Расшифровка значений:   * &#x60;10&#x60; - Новый   * &#x60;20&#x60; - Собран   * &#x60;30&#x60; - Передан СД   * &#x60;40&#x60; - Готов к выдаче   * &#x60;100&#x60; - Получен   * &#x60;200&#x60; - Отменен
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DeliveryStatusEnum
{
    
    /** Новый */
    public const NEW = 10;
    
    /** Собран */
    public const ASSEMBLED = 20;
    
    /** Передан СД */
    public const TRANSFER = 30;
    
    /** Готов к выдаче */
    public const READY_TO_PICKUP = 40;
    
    /** Получен */
    public const DONE = 100;
    
    /** Отменен */
    public const CANCELED = 200;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::NEW,
            self::ASSEMBLED,
            self::TRANSFER,
            self::READY_TO_PICKUP,
            self::DONE,
            self::CANCELED,
        ];
    }

    /**
    * Gets allowable values and titles of the enum
    * @return string[]
    */
    public static function getDescriptions(): array
    {
        return [
            self::NEW => 'Новый',
            self::ASSEMBLED => 'Собран',
            self::TRANSFER => 'Передан СД',
            self::READY_TO_PICKUP => 'Готов к выдаче',
            self::DONE => 'Получен',
            self::CANCELED => 'Отменен',
        ];
    }
}


